<?




	#	констатнта полного пути к корню сайта
	define('H', $_SERVER['DOCUMENT_ROOT'].'/');
	
	#	ищим и подключаем инклуды 
	foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') AS $inc) {
	include_once H."sys/inc/{$inc}.php";
	}

	#	верх	
	$set['title']='Наш Загс';
	include_once H.'sys/inc/thead.php';
	title();
	aut();
	
	
	#	пунктов на страницу
	$set['p_str'] = 10;

	
	#	проверяем доступ на гостя 
	if (!$user['id']){
		$_SESSION['message'] = 'Нужно авторизоваться';
		exit(header('Location: /'));
	}
	
	if (isset($_GET['ot']))
	{
		$zags_st_ot = mysql_fetch_array(mysql_query("SELECT * FROM `zags_user` 
		WHERE  `women` = '".intval($_GET['ot'])."' or `men` = '".intval($_GET['ot'])."'LIMIT 1"));
	
	if (isset($_GET['ot']) and $zags_st_ot['women'] == $user['id'] or  $zags_st_ot['men'] == $user['id'])
	{

		mysql_query("DELETE FROM `zags_user` WHERE `men` = ".$user['id']." or `women` = ".$user['id']);
		$_SESSION['message'] = 'Теперь вы Разведены :(';
		
		# отправка сообщения
		mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values
		('0', '". ($zags_st_ot['men']) ."', '".$user['nick']." развелся с вами', '".time()."')");

		exit(header('Location: /info.php?id='.$user['id']));
		
	}
	}
	
	
	if (isset($_GET['pr']))
	{
		$zags_st = mysql_fetch_array(mysql_query("SELECT * FROM `zags_user` 
		WHERE  `women` = '".intval($_GET['pr'])."' LIMIT 1"));
	
	
	if (isset($_GET['pr']) and $zags_st['women'] == $user['id'])
	{
	
		# отправка сообщения
		mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values
		('0', '". $zags_st['men'] ."', '".$user['nick']." приняла заявку в Загсе. Поздравляем вас от всего сайта :)', '".time()."')");

		mysql_query("update `zags_user` set `status` = '1' where `women` = ". $user['id']);
		$_SESSION['message'] = 'Теперь вы женаты)';
		exit(header('Location: /info.php?id='.$user['id']));
	}
	}
	
	
	if (isset($_GET['zayavka']))
	{
	$anki['id']=intval($_GET['zayavka']); 
  	$uSet = mysql_fetch_array(mysql_query("SELECT * FROM `user_set` WHERE `id_user` = '$anki[id]'  LIMIT 1"));
  	if($uSet['privat_zags'] == 0){
	$_SESSION['message']="Я запретила вызывать меня в Загс!";  
  	header('Location: /info.php?id='.$anki['id']);
  	exit();} 

		$zags_stsss = mysql_fetch_array(mysql_query("SELECT * FROM `zags_user` WHERE  
		`women` = '".intval($_GET['zayavka'])."' and 
		`status` = 0 LIMIT 1"));
		$sql_us = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '".intval($_GET['zayavka'])."' LIMIT 1"));
	
	
	if(mysql_result(mysql_query("SELECT COUNT(*) FROM `zags_user` WHERE `men` = '". $user['id'] ."' and `status` = '0'"),0)!= 0){
		$_SESSION['message'] = 'Так нельзя';
		exit(header('Location: /?eror'));
	}
	
	
	if ( $zags_stsss['status'] > 0 ){
		$_SESSION['message'] = 'Так нельзя';
		exit(header('Location: /'));
	}
	
	
	if ($sql_us['pol'] == $user['pol']){
		$_SESSION['message'] = 'разрешены только гетеро пары';
		exit(header('Location: /'));
	}
	
	if ( $sql_us['id'] == 0 ){
		$_SESSION['message'] = 'Такого юзера не существует';
		exit(header('Location: /'));
	}
	
	echo '<div class="mess">Вы действительно хотите предложить свадьбу <b> '. $sql_us['nick'] .'</b> ?</div>';
	
	
	if (isset($_POST['save']))
	{
	
		$text = my_esc($_POST['text']);
		$feed = 0;

	if ($text == null)
	{
		$_SESSION['message'] = 'Нужно заполнить речь';
		exit(header('Location: ?zayavka='.$sql_us['id']));
	}
	
	
	
	
		mysql_query("DELETE FROM `zags_user` WHERE `men` = ".$user['id']);
		
		# отправка сообщения
		mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values
		('0', '". ($sql_us['id']) ."', '".$user['nick']." Подал заявку на женитьбу ,принять её можно в своей анкете ', '".time()."')");

		
		mysql_query("
		INSERT INTO `zags_user`( `women`, `men`, `time`, `status`, `feed`, `msg`,`time_sv`) VALUES 
		('". $sql_us['id'] ."','". $user['id'] ."','".time()."',0,'".$feed."','". $text ."','".time()."')");
		exit(header('Location: ?'));

	}
	
	?>
	<div class='foot'>
		<form method='post' action=''>
			Речь жениха:(999 max)<br />
			<input type='text' name='text' value='' maxlength='999'/><br />
			<input value='Отправить заявку' name='save' type='submit' />
		</form>
	</div>
	<?

	
	include_once H.'sys/inc/tfoot.php';
	exit;
	}
	
	
	
	
	$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `zags_user` "), 0);
	$k_page = k_page($k_post,$set['p_str']);
	$page = page($k_page);
	$start = $set['p_str'] * $page-$set['p_str'];


	if (empty($k_post))	
	echo '<div class="gmenu">Список свадеб пуст :(</div>';
	else
	echo '<div class="gmenu">Общие свадьбы ('.$k_post.') </div>';

	
	?>
<div class="main_menu"> 
        <center><img src="/style/icons/svadba.png"><br/>
        Добро пожаловать в наш загс</center>
		<p>Теперь каждая пара может объявить, о своей свадьбе.</p>
		<p>
		Чтобы пожениться: муж должен зайти в страницу к жене и предложить свадьбу,
		написать "речь", после чего подать заявку.</p>  
		<p>
		Если девушка согласится, в страничке у обоих появится их ники.</p>
		<p>
		Женится могут только гетеро пары, т.е мужской и женский пол, нетрадиционные пары запрещены.
		</p>
		Заявку о свадьбе может подавать только мужской пол, а женский принять.<br/>
        <font color="red"> Чтобы узнать как отменить предложение свадьбы (заявку), нажмите <a href="/info/zags.php">сюда.</a></font>
	</div>

	<?
	
	

	$invite = mysql_query("SELECT * FROM `zags_user` ORDER BY `time` DESC  LIMIT $start, $set[p_str]");
	while ($sql = mysql_fetch_assoc($invite))
	{

	$women = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '". $sql['women'] ."' LIMIT 1"));
	$men = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '". $sql['men'] ."' LIMIT 1"));

	 echo ' 	  
	 <div class="nav2"><b>Свадьба:</b><br />
	 	'.group($men['id']).' 
		<a href="/info.php?id='.$men['id'].'">
		'. $men['nick'].' 
		</a>
		
		'.($sql['status'] == 1 ? 'женат на':'<span style="color:red"> ждет согласия </span> от').'
		'.group($women['id']).' 
		<a href="/info.php?id='.$women['id'].'">
		'. $women['nick'].' 
		</a><br/> Речь мужа:
		'. output_text($sql['msg']).'
		'. ($sql['time_sv'] > 0 ? '<br/>--<br/> '. v_vk($sql['time_sv']):false).'
		
	</div>
	';
	 
	}
	



	if ($k_page > 1)str("?",$k_page,$page);  

	include_once H.'sys/inc/tfoot.php';
